# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cvlr-derive"
version = "0.5.0"
authors = [
    "Arie Gurfinkel <arie@certora.com>",
    "Jorge A. Navas <jorge@certora.com>",
    "Francesco Parolini <francesco@certora.com>",
    "Chandrakana Nandi <chandra@certora.com>",
    "Alexander Bakst <abakst@certora.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Derive macros for CVLR"
homepage = "https://www.certora.com"
documentation = "https://docs.rs/cvlr/latest"
readme = "README.md"
keywords = [
    "certora",
    "assert",
    "logic",
    "verification",
    "formal-methods",
]
categories = [
    "development-tools::debugging",
    "development-tools::testing",
    "no-std",
]
license = "MIT"
repository = "https://github.com/Certora/cvlr"

[lib]
name = "cvlr_derive"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "test_cvlr_log"
path = "tests/test_cvlr_log.rs"

[[test]]
name = "test_nondet"
path = "tests/test_nondet.rs"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.syn]
version = "2"
features = [
    "derive",
    "parsing",
    "extra-traits",
]

[dev-dependencies.macrotest]
version = "1"

[dev-dependencies.trybuild]
version = "1"
